Index: src/sas/sascalc/dataloader/file_reader_base_class.py
===================================================================
--- src/sas/sascalc/dataloader/file_reader_base_class.py	(revision 1576693eb6208343e668351293db980887525f6e)
+++ src/sas/sascalc/dataloader/file_reader_base_class.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -123,5 +123,5 @@
         """
         Generic error handler to add an error to the current datainfo to
-        propogate the error up the error chain.
+        propagate the error up the error chain.
         :param msg: Error message
         """
@@ -325,5 +325,5 @@
     def splitline(line):
         """
-        Splits a line into pieces based on common delimeters
+        Splits a line into pieces based on common delimiters
         :param line: A single line of text
         :return: list of values
Index: src/sas/sascalc/file_converter/otoko_loader.py
===================================================================
--- src/sas/sascalc/file_converter/otoko_loader.py	(revision 0b1a677a6bec9b3b30979ce36e64645b3028908b)
+++ src/sas/sascalc/file_converter/otoko_loader.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -36,5 +36,5 @@
 
         Given the paths of two header files, this function will load each axis in
-        turn.  If loading is successfull then an instance of the OTOKOData class
+        turn.  If loading is successful then an instance of the OTOKOData class
         will be returned, else an exception will be raised.
 
Index: src/sas/sascalc/fit/AbstractFitEngine.py
===================================================================
--- src/sas/sascalc/fit/AbstractFitEngine.py	(revision 574adc767a9e86744546f8edd6a23dc4f81914ad)
+++ src/sas/sascalc/fit/AbstractFitEngine.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -78,7 +78,7 @@
     def get_params(self, fitparams):
         """
-        return a list of value of paramter to fit
-
-        :param fitparams: list of paramaters name to fit
+        return a list of value of parameter to fit
+
+        :param fitparams: list of parameters name to fit
 
         """
Index: src/sas/sascalc/pr/fit/AbstractFitEngine.py
===================================================================
--- src/sas/sascalc/pr/fit/AbstractFitEngine.py	(revision 574adc767a9e86744546f8edd6a23dc4f81914ad)
+++ src/sas/sascalc/pr/fit/AbstractFitEngine.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -78,7 +78,7 @@
     def get_params(self, fitparams):
         """
-        return a list of value of paramter to fit
-
-        :param fitparams: list of paramaters name to fit
+        return a list of value of parameter to fit
+
+        :param fitparams: list of parameters name to fit
 
         """
Index: src/sas/sasgui/guiframe/data_processor.py
===================================================================
--- src/sas/sasgui/guiframe/data_processor.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/guiframe/data_processor.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -758,5 +758,5 @@
         cell pop up context by right clicking on a cell and gives the
         option to cut, paste, and clear. This will probably be removed in
-        future versions and is being superceded by more traditional cut and
+        future versions and is being superseded by more traditional cut and
         paste options.
         """
@@ -800,5 +800,5 @@
         THIS METHOD IS NOT CURRENTLY USED.  it is part of right click cell
         context menu which is being removed. This will probably be removed in
-        future versions and is being superceded by more traditional cut and
+        future versions and is being superseded by more traditional cut and
         paste options
         """
@@ -812,5 +812,5 @@
         THIS METHOD IS NOT CURRENTLY USED.  it is part of right click cell
         context menu which is being removed. This will probably be removed in
-        future versions and is being superceded by more traditional cut and
+        future versions and is being superseded by more traditional cut and
         paste options
         """
@@ -828,5 +828,5 @@
         THIS METHOD IS NOT CURRENTLY USED.  it is part of right click cell
         context menu which is being removed. This will probably be removed in
-        future versions and is being superceded by more traditional cut and
+        future versions and is being superseded by more traditional cut and
         paste options
         """
@@ -1233,5 +1233,5 @@
         """
         Get object represented by the given cells and plot them.  Basically
-        plot the colum in y vs the column in x.
+        plot the column in y vs the column in x.
         """
 
@@ -1961,5 +1961,5 @@
         selection_sizer.Add(self.save_to_file, (iy, ix),
                             (1, 1), wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
-        #contruction the sizer contaning button
+        #contruction the sizer containing button
         button_sizer.Add((20, 20), 1, wx.EXPAND | wx.ADJUST_MINSIZE, 0)
 
Index: src/sas/sasgui/guiframe/events.py
===================================================================
--- src/sas/sasgui/guiframe/events.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/events.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -14,5 +14,5 @@
 #create a panel slicer
 (SlicerPanelEvent, EVT_SLICER_PANEL)   = wx.lib.newevent.NewEvent()
-#print update paramaters for panel slicer
+#print update parameers for panel slicer
 (SlicerParamUpdateEvent, EVT_SLICER_PARS_UPDATE)   = wx.lib.newevent.NewEvent()
 #update the slicer from the panel
Index: src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision b963b2066d6a76fe5073000c5a596a6fd0130ac4)
+++ src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -90,5 +90,5 @@
     def can_load_data(self):
         """
-        if return True, then call handler to laod data
+        if return True, then call handler to load data
         """
         return True
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/binder.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/binder.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/binder.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -359,5 +359,5 @@
         # TODO: Do we need an explicit focus command for keyboard?
         # TODO: Can we tab between items?
-        # TODO: How do unhandled events get propogated to axes, figure and
+        # TODO: How do unhandled events get propagated to axes, figure and
         # TODO: finally to application?  Do we need to implement a full tags
         # TODO: architecture a la Tk?
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -216,5 +216,5 @@
         """
         self.base.thaw_axes()
-        # Post paramters
+        # Post parameters
         event = SlicerParameterEvent()
         event.type = self.__class__.__name__
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py	(revision 45dffa69cb5935e2da7c77a2f040debb07ceb1c6)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -77,5 +77,5 @@
     def compute(self):
         """
-        excuting computation
+        executing computation
         """
         elapsed = time.time() - self.starttime
Index: src/sas/sasgui/guiframe/plugin_base.py
===================================================================
--- src/sas/sasgui/guiframe/plugin_base.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/guiframe/plugin_base.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -82,5 +82,5 @@
     def can_load_data(self):
         """
-        if return True, then call handler to laod data
+        if return True, then call handler to load data
         """
         return False
Index: src/sas/sasgui/guiframe/proxy.py
===================================================================
--- src/sas/sasgui/guiframe/proxy.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/guiframe/proxy.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -17,5 +17,5 @@
 connect() function:
     - auto detects proxy in windows, osx
-    - in ux systems, the http_proxy enviroment variable must be set
+    - in ux systems, the http_proxy environment variable must be set
     - if it fails, try to find the proxy.pac address.
       - parses the file, and looks up for all possible proxies
Index: src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -113,5 +113,5 @@
     def compute(self):
         """
-        excuting computation
+        executing computation
         """
         #elapsed = time.time() - self.starttime
Index: src/sas/sasgui/perspectives/calculator/resolcal_thread.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/resolcal_thread.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/resolcal_thread.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -44,5 +44,5 @@
     def compute(self):
         """
-        excuting computation
+        executing computation
         """
         self.image = map(self.func, self.qx, self.qy,
Index: src/sas/sasgui/perspectives/fitting/fitproblem.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitproblem.py	(revision 251ef68424c8f373dfb82af3c159086491c5f975)
+++ src/sas/sasgui/perspectives/fitting/fitproblem.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -1,5 +1,5 @@
 """
 Inferface containing information to store data, model, range of data, etc...
-and retreive this information. This is an inferface
+and retrieve this information. This is an inferface
 for a fitProblem i.e relationship between data and model.
 """
@@ -56,5 +56,5 @@
         """
         :param flag: bool.When flag is 1 get the computer smear value. When
-            flag is 0 ingore smear value.
+            flag is 0 ignore smear value.
         """
         self.smearer_enable = flag
@@ -305,5 +305,5 @@
         """
         :param flag: bool.When flag is 1 get the computer smear value. When
-            flag is 0 ingore smear value.
+            flag is 0 ignore smear value.
         """
         self._smear_on = flag
Index: src/sas/sasgui/perspectives/fitting/fitting.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitting.py	(revision 9706d88b71e719f590147b9914149630bce2f1d2)
+++ src/sas/sasgui/perspectives/fitting/fitting.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -763,5 +763,5 @@
         the current page and set value.
         :param value: integer 0 or 1
-        :param uid: the id related to a page contaning fitting information
+        :param uid: the id related to a page containing fitting information
         """
         if uid in self.page_finder.keys():
@@ -778,8 +778,8 @@
         Used by simfitpage.py to reset a parameter given the string constrainst.
 
-        :param modelname: the name ot the model for with the parameter
+        :param modelname: the name of the model for with the parameter
                             has to reset
         :param value: can be a string in this case.
-        :param names: the paramter name
+        :param names: the parameter name
         """
         sim_page_id = self.sim_page.uid
@@ -797,5 +797,5 @@
         name into model name and parameter name example: ::
 
-            paramaterset (item) = M1.A
+            parameterset (item) = M1.A
             Will return model_name = M1 , parameter name = A
 
@@ -1117,5 +1117,5 @@
     def store_data(self, uid, data_list=None, caption=None):
         """
-        Recieve a list of data and store them ans well as a caption of
+        Receive a list of data and store them ans well as a caption of
         the fit page where they come from.
         :param uid: if related to a fit page
@@ -1196,5 +1196,5 @@
         for a given interactor.
 
-        :param event: contains type of slicer , paramaters for updating
+        :param event: contains type of slicer , parameters for updating
             the panel and panel_name to find the slicer 's panel concerned.
         """
Index: src/sas/sasgui/perspectives/fitting/fitting_widgets.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitting_widgets.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/fitting/fitting_widgets.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -64,5 +64,5 @@
         selection_sizer.Add(self.data_2d_selected, (iy, ix),
                            (1, 1), wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
-        #contruction the sizer contaning button
+        #contruction the sizer containing button
         button_sizer.Add((20, 20), 1, wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         button_sizer.Add(button_cancel, 0,
Index: src/sas/sasgui/perspectives/fitting/gpu_options.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/gpu_options.py	(revision 3bd677bda9477bbd07235d9fba448f09ae1b3932)
+++ src/sas/sasgui/perspectives/fitting/gpu_options.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -88,5 +88,5 @@
         self.option_button = {}
         self.buttons = []
-        #Check if SAS_OPENCL is already set as enviromental variable
+        #Check if SAS_OPENCL is already set as environment variable
         self.sas_opencl = os.environ.get("SAS_OPENCL", "")
 
Index: src/sas/sasgui/perspectives/fitting/simfitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/simfitpage.py	(revision 0a3c740de7a24dad98e912cdeee179e382e3839a)
+++ src/sas/sasgui/perspectives/fitting/simfitpage.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -976,5 +976,5 @@
         param_cbox = self.constraints_list[-1].param_cbox
         param_cbox.Clear()
-        # insert only fittable paramaters
+        # insert only fittable parameters
         for param in param_list:
             param_cbox.Append(str(param), model)
Index: src/sas/sasgui/perspectives/invariant/invariant_details.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_details.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/invariant/invariant_details.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -422,5 +422,5 @@
         except:
             scale = RECTANGLE_SCALE
-            self.warning_msg += "Recieve an invalid scale for %s\n"
+            self.warning_msg += "Receive an invalid scale for %s\n"
             self.warning_msg += "check this value : %s\n" % str(percentage)
         return  scale
Index: src/sas/sasgui/perspectives/pr/explore_dialog.py
===================================================================
--- src/sas/sasgui/perspectives/pr/explore_dialog.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/pr/explore_dialog.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -93,5 +93,5 @@
 
         :TODO: Would be nice to add printing and log/linear scales.
-            The current verison of plottools no longer plays well with
+            The current version of plottools no longer plays well with
             plots outside of guiframe. Guiframe team needs to fix this.
         """
Index: src/sas/sasgui/plottools/binder.py
===================================================================
--- src/sas/sasgui/plottools/binder.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/plottools/binder.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -366,5 +366,5 @@
         # TODO: Do we need an explicit focus command for keyboard?
         # TODO: Can we tab between items?
-        # TODO: How do unhandled events get propogated to axes, figure and
+        # TODO: How do unhandled events get propagated to axes, figure and
         # TODO: finally to application?  Do we need to implement a full tags
         # TODO: architecture a la Tk?
Index: src/sas/sasgui/plottools/toolbar.py
===================================================================
--- src/sas/sasgui/plottools/toolbar.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/plottools/toolbar.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -145,5 +145,5 @@
     def OnPrintPage(self, page):
         """
-        Most rudimentry OnPrintPage overide.  instatiates a dc object, gets
+        Most rudimentry OnPrintPage override.  instatiates a dc object, gets
         its size, gets the size of the figure object, scales it to the dc
         canvas size keeping the aspect ratio intact, then prints as bitmap
Index: src/sas/sasview/sasview.py
===================================================================
--- src/sas/sasview/sasview.py	(revision 0225a3fcdeccce342b5c26576640d8cdc6dd3ebd)
+++ src/sas/sasview/sasview.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
@@ -203,5 +203,5 @@
     plugin_dir = os.path.join(sas.get_user_dir(), PLUGIN_MODEL_DIR)
     os.environ['SAS_MODELPATH'] = plugin_dir
-    #Initiliaze enviromental variable with custom setting but only if variable not set
+    #Initialize environment variable with custom setting but only if variable not set
     SAS_OPENCL = sas.get_custom_config().SAS_OPENCL
     if SAS_OPENCL and "SAS_OPENCL" not in os.environ:
